Bug 1126246 - yum install
Summary: yum install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: redis
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 23:48 UTC by Zubin
Modified: 2014-10-03 03:58 UTC (History)
5 users (show)

Fixed In Version: redis-2.8.15-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 03:58:07 UTC


Attachments (Terms of Use)

Description Zubin 2014-08-03 23:48:28 UTC
Description of problem:

After `yum install redis-server`, systemd can't start redis-server. It says "User requested shutdown...".

The problem is that systemd requires redis-server NOT to run as a daemon, so the generated `/etc/redis.conf` requires `daemonize yes` to be commented out (or set to `no`).

How reproducible:

Steps to Reproduce:
1. rpm -i http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/epel-release-7-0.2.noarch.rpm
2. yum install redis-server
3. systemctl start redis-server

Actual results:

systemctl status redis-server
redis-server.service - Redis persistent key-value database
   Loaded: loaded (/usr/lib/systemd/system/redis-server.service; disabled)
   Active: inactive (dead)

Expected results:

systemctl status redis-server
redis-server.service - Redis persistent key-value database
   Loaded: loaded (/usr/lib/systemd/system/redis-server.service; enabled)
   Active: active (running) since Thu 2014-07-31 13:37:13 EDT; 3 days ago

Additional info:

See http://serverfault.com/questions/616430/why-isnt-systemctl-starting-redis-server-on-centos-7/616557?noredirect=1#comment737913_616557

Comment 2 Christopher Meng 2014-08-07 08:33:52 UTC
redis EPEL7 package is not ready, please wati for a while, W and I are doing cleanup.

Comment 3 Zubin 2014-08-07 23:12:01 UTC
No prob, I've resolved the problem for myself. Just trying to help by reporting the bug.

Comment 4 Fedora Update System 2014-09-11 17:06:55 UTC
redis-2.8.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.14-1.fc21

Comment 5 Fedora Update System 2014-09-11 22:12:04 UTC
Package redis-2.8.14-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redis-2.8.14-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10699/redis-2.8.14-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-13 13:34:50 UTC
redis-2.8.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.15-1.fc21

Comment 7 Fedora Update System 2014-10-03 03:58:07 UTC
redis-2.8.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.